# GimpUi.ColorArea

    from gi.repository import GimpUi

    color_area = GimpUi.ColorArea(color=value, drag_mask=value, draw_border=value, type=value)

Displays a [class@Gegl.Color], optionally with alpha-channel.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.DrawingArea
        - GimpUi.ColorArea

## Methods

- GimpUi.ColorArea.enable_drag
- GimpUi.ColorArea.get_color
- GimpUi.ColorArea.has_alpha
- GimpUi.ColorArea.set_color
- GimpUi.ColorArea.set_color_config
- GimpUi.ColorArea.set_draw_border
- GimpUi.ColorArea.set_out_of_gamut
- GimpUi.ColorArea.set_type

## Properties

- color
- drag-mask
- draw-border
- type

## Signals

- color-changed